<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title><spring:message code="msgGeneric.RestKiosk"/></title>
<link rel="STYLESHEET" type="text/css" href="/RestKiosk/css/estils.css">
<script type="text/javascript">
function CercarFamilies(){
	document.formCercaFamilies.submit();
}
</script> 
</head>
<body>
<%@include file="topAdmin.jsp"%>
<%@include file="leftAdmin.jsp"%>
<div style="display:table-cell; width:800px; align:left; vertical-align:top; top: 0px; position:relative;padding:10px;">

	<div class="formulariTitol">
	<span><spring:message code="msgFamilia.MantenimentFamilia"/></span>
	</div>
	<div class="formulariCos">
	<form name="formCercaFamilies" method="post" action="mostrarFamilies.html">
	    <table class="taulaFormulari">
	    <tr>
	        <td><spring:message code="msgFamilia.Descripcio"/></td>
	        <td><input type="text" value="${descripcio}" name="descripcio" size="50" maxlength="75"></td>
	    </tr>
	    <tr>
	        <td><spring:message code="msgFamilia.Visible"/></td>
	        <td>
	        <select name="visible">
	        <option value="">Tots</option>
	        <option value="1" <c:if  test="${visible=='1'}">selected</c:if>><spring:message code="msgGeneric.Si"/></option>
	        <option value="0" <c:if  test="${visible=='0'}">selected</c:if>><spring:message code="msgGeneric.No"/></option>
	        </select>
	        </td>
	    </tr>
	    <tr>
	    <td align="left"><input type="button" value="<spring:message code="msgGeneric.AplicarFiltre"/>" onclick="javascript:CercarFamilies();"></td>
	    <td align="right"><input type="button" value="<spring:message code="msgFamilia.AfegirFamilia"/>" onclick="javascript:document.location.href='editarFamilia.html?familiaId=0';"></td>
	    </tr>
	    </table>
	    </form>
	</div>
	
	<br>
	
	<c:if  test="${!empty llistaFamilies}">
	<table class="taulaResultats">
	<tr>
	    <th><spring:message code="msgFamilia.Descripcio"/></th>
	    <th><spring:message code="msgFamilia.Visible"/></th>
	    <th><spring:message code="msgFamilia.OrdrePresentacio"/></th>
	</tr>
	<c:forEach items="${llistaFamilies}" var="familia">
	    <tr class="trResultats">
	        <td class="tdResultats" width="250px"><a href="editarFamilia.html?familiaId=${familia.idFamilia}">${familia.descripcio}</a></td>
	        <td class="tdResultats" width="50px" style="text-align:center">
	        <c:choose>
	    	<c:when test="${familia.visible}">
	    	<spring:message code="msgGeneric.Si"/>
	    	</c:when>
	    	<c:otherwise>
	    	<spring:message code="msgGeneric.No"/>
	    	</c:otherwise>
	    	</c:choose>
	        </td>
	        <td class="tdResultats" width="50px" style="text-align:center">${familia.ordre}</td>
	    </tr>
	</c:forEach>
	</table>
	</c:if>
	<c:if  test="${empty llistaFamilies}">
	<center><spring:message code="msgGeneric.NoResultatsCerca"/></center>
	</c:if>
</div>

</body>
</html>