<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title><spring:message code="msgGeneric.RestKiosk"/></title>
<link rel="STYLESHEET" type="text/css" href="/RestKiosk/css/estils.css">
<script type="text/javascript">
function CercarProductes(){
	document.formCercaProductes.submit();
}
</script> 
</head>
<body>
<%@include file="topAdmin.jsp"%>
<%@include file="leftAdmin.jsp"%>
<div style="display:table-cell;  width:800px;  align:left; vertical-align:top; top: 0px; position:relative;padding:10px;">

<div class="formulariTitol">
<span><spring:message code="msgProducte.MantenimentProducte"/></span>
</div>
<div class="formulariCos">
<form name="formCercaProductes" method="post" action="mostrarProductes.html">
    <table class="taulaFormulari">
    <tr>
        <td><spring:message code="msgProducte.Descripcio"/></td>
        <td><input type="text" value="${descripcio}" name="descripcio" size="50" maxlength="75"></td>
    </tr>
    <tr>
        <td><spring:message code="msgProducte.Visible"/></td>
        <td>
	        <select name="visible">
	        <option value="">Tots</option>
	        <option value="1" <c:if  test="${visible=='1'}">selected</c:if>><spring:message code="msgGeneric.Si"/></option>
	        <option value="0" <c:if  test="${visible=='0'}">selected</c:if>><spring:message code="msgGeneric.No"/></option>
	        </select>
        </td>
    </tr>
    <tr>
    <td align="left"><input type="button" value="<spring:message code="msgGeneric.AplicarFiltre"/>" onclick="javascript:CercarProductes();"></td>
    <td align="right"><input type="button" value="<spring:message code="msgProducte.AfegirProducte"/>" onclick="javascript:document.location.href='editarProducte.html?producteId=0';"></td>
    </tr>
    </table>
    </form>
</div>

<br>

<c:if  test="${!empty llistaProductes}">
<table class="taulaResultats">
<tr>
	    <th><spring:message code="msgProducte.Descripcio"/></th>
	    <th><spring:message code="msgProducte.Visible"/></th>
	    <th><spring:message code="msgProducte.OrdrePresentacio"/></th>
</tr>
<c:forEach items="${llistaProductes}" var="producte">
    <tr class="trResultats">
        <td class="tdResultats" width="250px"><a href="editarProducte.html?producteId=${producte.idProducte}">${producte.titol}</a></td>
        <td class="tdResultats" width="50px" style="text-align:center">
        <c:choose>
    	<c:when test="${producte.visible}">
    	<spring:message code="msgGeneric.Si"/>
    	</c:when>
    	<c:otherwise>
    	<spring:message code="msgGeneric.No"/>
    	</c:otherwise>
    	</c:choose>
        </td>
        <td class="tdResultats" width="50px" style="text-align:center">${producte.ordre}</td>
    </tr>
</c:forEach>
</table>
</c:if>
	<c:if  test="${empty llistaProductes}">
	<center><spring:message code="msgGeneric.NoResultatsCerca"/></center>
	</c:if>
</div>

</body>
</html>