package restkiosk.model;

import java.util.ArrayList;
import java.util.List;

public class FamiliaDTO {


	private int idFamilia;
	private String descripcio;
	private boolean visible;
	private int ordre;
	private List<Producte> productes;
	private List<Menu> menus;
	 
	public FamiliaDTO(){
		this.idFamilia = 0;
		this.descripcio = "";
	}
	
	public FamiliaDTO(Familia familia){
		this.idFamilia = familia.getIdFamilia();
		this.descripcio = familia.getDescripcio();
		this.visible = familia.isVisible();
		this.ordre = familia.getOrdre();
		this.productes = new ArrayList<Producte>();
		this.menus = new ArrayList<Menu>();
		
	}
	
	public FamiliaDTO(int IdFamilia, String Descripcio){
		this.idFamilia = IdFamilia;
		this.descripcio = Descripcio;
	}

	public int getIdFamilia() {
		return idFamilia;
	}

	public void setIdFamilia(int IdFamilia) {
		this.idFamilia = IdFamilia;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String Descripcio) {
		this.descripcio = Descripcio;
	}

	public boolean isVisible() {
		return visible;
	}

	public void setVisible(boolean visible) {
		this.visible = visible;
	}

	public int getOrdre() {
		return ordre;
	}

	public void setOrdre(int ordre) {
		this.ordre = ordre;
	}

	public List<Producte> getProductes() {
		return productes;
	}

	public void setProductes(List<Producte> productes) {
		this.productes = productes;
	}

	public List<Menu> getMenus() {
		return menus;
	}

	public void setMenus(List<Menu> menus) {
		this.menus = menus;
	}



	
}
