package restkiosk.model;

import java.util.ArrayList;
import java.util.List;

public class MenuDTO {

	private int idMenu;
	private String titol;
	private String descripcio;
	private boolean visible;
	private float preu;
	private int ordre;
	//private Blob imatge;
	private String imatge;
	private Familia familiaMenu;
	private List<Producte> productesA;
	private List<Producte> productesB;
	private List<Producte> productesC;
	private List<Producte> productesD;
	
	public MenuDTO(){
		this.idMenu=0;
	}
	
	public MenuDTO(Menu menu){
		this.idMenu=menu.getIdMenu();
		this.titol=menu.getTitol();
		this.descripcio=menu.getDescripcio();
		this.visible=menu.isVisible();
		this.preu=menu.getPreu();
		//this.setImatge(menu.getImatge());
		this.imatge=menu.getImatge();
		this.ordre=menu.getOrdre();
		this.familiaMenu = null;
		this.productesA = new ArrayList<Producte>();
		this.productesB = new ArrayList<Producte>();
		this.productesC = new ArrayList<Producte>();
		this.productesD = new ArrayList<Producte>();
	}

	public String getTitol() {
		return titol;
	}

	public void setTitol(String titol) {
		this.titol = titol;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	public boolean isVisible() {
		return visible;
	}

	public void setVisible(boolean visible) {
		this.visible = visible;
	}

	public float getPreu() {
		return preu;
	}

	public void setPreu(float preu) {
		this.preu = preu;
	}

	public int getOrdre() {
		return ordre;
	}

	public void setOrdre(int ordre) {
		this.ordre = ordre;
	}


	public int getIdMenu() {
		return idMenu;
	}


	public void setIdMenu(int idMenu) {
		this.idMenu = idMenu;
	}


	public Familia getFamiliaMenu() {
		return familiaMenu;
	}


	public void setFamiliaMenu(Familia familiaMenu) {
		this.familiaMenu = familiaMenu;
	}




	public String getImatge() {
		return imatge;
	}

	public void setImatge(String imatge) {
		this.imatge = imatge;
	}

	public List<Producte> getProductesA() {
		return productesA;
	}

	public void setProductesA(List<Producte> productesA) {
		this.productesA = productesA;
	}

	public List<Producte> getProductesB() {
		return productesB;
	}

	public void setProductesB(List<Producte> productesB) {
		this.productesB = productesB;
	}

	public List<Producte> getProductesC() {
		return productesC;
	}

	public void setProductesC(List<Producte> productesC) {
		this.productesC = productesC;
	}

	public List<Producte> getProductesD() {
		return productesD;
	}

	public void setProductesD(List<Producte> productesD) {
		this.productesD = productesD;
	}

	
}
