package restkiosk.validator;


import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

import restkiosk.model.Familia;

@Component
public class FamiliaValidator implements Validator {

	@Override
	public boolean supports(Class c) {
		return Familia.class.equals(c);
	}

	@Override
	public void validate(Object obj, Errors errors) {
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "descripcio", "errFamilia.Descripcio.Empty");
		

	}
}