<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title><spring:message code="msgGeneric.RestKiosk"/></title>
<script type="text/javascript" src="/RestKiosk/javascript/funcions.js"></script>
<link rel="STYLESHEET" type="text/css" href="/RestKiosk/css/estils.css"> 
<script>
function DesarFamilia(){
	SelectAllItemsCombo(document.formFamilia.productesDisponibles);
	SelectAllItemsCombo(document.formFamilia.menusDisponibles);
	SelectAllItemsCombo(document.formFamilia.productes);
	SelectAllItemsCombo(document.formFamilia.menus);
	document.formFamilia.ordrePresentacio.multiple = true;
	SelectAllItemsCombo(document.formFamilia.ordrePresentacio);
	document.formFamilia.submit()
}

function EsborrarFamilia(){
	ConfirmarEsborrar();
}

function ConfirmarEsborrar(){
	if (confirm('<spring:message code="msgFamilia.ConfirmacioEsborrar"/>')){
		document.formFamilia.action="esborrarFamilia.html";
		document.formFamilia.submit();
	}
}
</script>
</head>
<body>
<%@include file="topAdmin.jsp"%>
<%@include file="leftAdmin.jsp"%>
<div style="display:table-cell;  width:800px;  align:left; vertical-align:top; top: 0px; position:relative;padding:10px;">

	<div>
	<div class="formulariTitol">
	<span><spring:message code="msgFamilia.MantenimentFamilia"/></span>
	</div>
	<div class="formulariCos">
	<form:form method="post" action="/RestKiosk/admin/desarFamilia.html"  commandName="objFamilia" name="formFamilia" >
	<c:if test="${missatgeError}">
	<center><div class="errors"><spring:message code="msgGeneric.missatgeError"/></div></center>
	</c:if>
	<c:if test="${missatgeOk}">
	<center><div class="oks"><spring:message code="msgGeneric.missatgeOk"/></div></center>
	</c:if>
	
	    <table>
	    <tr>
	        <td><form:label path="descripcio"><spring:message code="msgFamilia.Descripcio"/></form:label></td>
	        <td colspan=2><form:input path="descripcio" /><br>
	        <form:errors path="descripcio"  cssClass="errors"/></td>
	        <td rowspan="5" style="vertical-align:top">
	        <spring:message code="msgFamilia.OrdrePresentacio"/>:<br>
	        <select name="ordrePresentacio" size="24" >
	        <c:forEach items="${ordrePresentacio}" var="familia">
	        <option value="${familia.idFamilia}">${familia.descripcio}</option>
	        </c:forEach>
	        </select>
	        </td>
	        <td rowspan="5" style="vertical-align:middle">
	        <a href="javascript:SelectCanviaOrdre(document.formFamilia.ordrePresentacio, 'amunt')"><img src="/RestKiosk/img/botoAmunt.png"></a><br>
	        <a href="javascript:SelectCanviaOrdre(document.formFamilia.ordrePresentacio, 'avall')"><img src="/RestKiosk/img/botoAbaix.png"></a><br>
	        
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="descripcio"><spring:message code="msgFamilia.Visible"/></form:label></td>
	        <td colspan=2>
	        <spring:message code="msgGeneric.Si"/><form:radiobutton path="visible" value="true" onclick="javascript:AfegirLlistaOrdenacio(this.checked, document.formFamilia.ordrePresentacio, document.formFamilia.idFamilia.value, document.formFamilia.descripcio.value)"/>
	        <spring:message code="msgGeneric.No"/><form:radiobutton path="visible" value="false"  onclick="javascript:TreureLlistaOrdenacio(this.checked, document.formFamilia.ordrePresentacio, document.formFamilia.idFamilia.value)"/>
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="menus"><spring:message code="msgFamilia.MenusDisponibles"/></form:label><br>
	        <select name="menusDisponibles" size="10" multiple="true">
	        <c:forEach items="${llistaMenus}" var="menu">
	        <option value="${menu.idMenu}">${menu.titol}</option>
	        </c:forEach>
	        </select>
	        </td>
	        <td>
	        <a href="javascript:MoureItemCombo(document.formFamilia.menusDisponibles, document.formFamilia.menus)"><img src="/RestKiosk/img/botoDreta.png"></a><br>
	        <a href="javascript:MoureItemCombo(document.formFamilia.menus, document.formFamilia.menusDisponibles)"><img src="/RestKiosk/img/botoEsquerra.png"></a>
	        </td>
	        <td><form:label path="menus"><spring:message code="msgFamilia.MenusAssignats"/></form:label><br>
	        <form:select size="10"  multiple="true"  path="menus" items="${objFamilia.menus}" itemLabel="titol" itemValue="idMenu"></form:select>
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="productes"><spring:message code="msgFamilia.ProductesDisponibles"/></form:label><br>
	        <select name="productesDisponibles" size="10" multiple="true">
	        <c:forEach items="${llistaProductes}" var="producte">
	        <option value="${producte.idProducte}">${producte.titol}</option>
	        </c:forEach>
	        </select>
	        </td>
	        <td>
	        <a href="javascript:MoureItemCombo(document.formFamilia.productesDisponibles, document.formFamilia.productes)"><img src="/RestKiosk/img/botoDreta.png"></a><br>
	        <a href="javascript:MoureItemCombo(document.formFamilia.productes, document.formFamilia.productesDisponibles)"><img src="/RestKiosk/img/botoEsquerra.png"></a>
	        </td>
	        <td><form:label path="productes"><spring:message code="msgFamilia.ProductesAssignats"/></form:label><br>
	        <form:select size="10"  multiple="true"  path="productes" items="${objFamilia.productes}" itemLabel="titol" itemValue="idProducte"></form:select>
	        </td>
	    </tr>
	        <tr>
	        <td colspan="2">
	        	<form:hidden path="idFamilia" />
	        	<input type="button" value="<spring:message code="msgGeneric.Desar"/>" onclick="javascript:DesarFamilia();">
	        	<c:if test="${objFamilia.idFamilia != 0}">
	        	<input type="button" value="<spring:message code="msgGeneric.Esborrar"/>" onclick="javascript:EsborrarFamilia();">
	        	</c:if>
	            <input type="button" value="<spring:message code="msgGeneric.Tornar"/>" onclick="document.location.href='/RestKiosk/admin/mostrarFamilies.html'">
	        </td>
	    </tr>
	    </table>
	</form:form>
	</div>
	</div>
</div>
</body>
</html>