<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Expires" content="0" />
<title><spring:message code="msgGeneric.RestKiosk"/></title>
<script type="text/javascript" src="/RestKiosk/javascript/funcions.js"></script>
<link rel="STYLESHEET" type="text/css" href="/RestKiosk/css/estils.css"> 
<script>
function DesarMenu(){

	document.formMenu.ordrePresentacio.multiple = true;
	SelectAllItemsCombo(document.formMenu.ordrePresentacio);
	SelectAllItemsCombo(document.formMenu.productesDisponibles);
	SelectAllItemsCombo(document.formMenu.llistaproductesA);
	SelectAllItemsCombo(document.formMenu.llistaproductesB);
	SelectAllItemsCombo(document.formMenu.llistaproductesC);
	SelectAllItemsCombo(document.formMenu.llistaproductesD);
	document.formMenu.submit()
}

function EsborrarMenu(){
	ConfirmarEsborrar();
}

function ConfirmarEsborrar(){
	if (confirm('<spring:message code="msgMenu.ConfirmacioEsborrar"/>')){
		document.formMenu.action="esborrarMenu.html";
		document.formMenu.submit();
	}
}
</script>
</head>
<body>
<%@include file="topAdmin.jsp"%>
<%@include file="leftAdmin.jsp"%>
<div style="display:table-cell;  width:800px;  align:left; vertical-align:top; top: 0px; position:relative;padding:10px;">

	<div>
	<div class="formulariTitol">
	<span><spring:message code="msgMenu.MantenimentMenu"/></span>
	</div>
	<div class="formulariCos">
	<form:form method="post" action="desarMenu.html"  commandName="objMenu" name="formMenu" enctype="multipart/form-data" >
	<c:if test="${missatgeError}">
	<center><div class="errors"><spring:message code="msgGeneric.missatgeError"/></div></center>
	</c:if>
	<c:if test="${missatgeOk}">
	<center><div class="oks"><spring:message code="msgGeneric.missatgeOk"/></div></center>
	</c:if>
	    <table>
	    <tr>
	        <td><form:label path="titol"><spring:message code="msgMenu.Titol"/></form:label></td>
	        <td colspan=2><form:input path="titol" /><br><form:errors path="titol"  cssClass="errors"/></td>
	        <td rowspan="6" style="vertical-align:middle">
	        <spring:message code="msgMenu.OrdrePresentacio"/>:<br>
	        <select name="ordrePresentacio" size="25" >
	        <c:forEach items="${ordrePresentacio}" var="menus">
	        <option value="${menus.idMenu}">${menus.titol}</option>
	        </c:forEach>
	        </select>
	        </td>
	        <td rowspan="6" style="vertical-align:middle">
	        <a href="javascript:SelectCanviaOrdre(document.formMenu.ordrePresentacio, 'amunt')"><img src="/RestKiosk/img/botoAmunt.png"></a><br>
	        <a href="javascript:SelectCanviaOrdre(document.formMenu.ordrePresentacio, 'avall')"><img src="/RestKiosk/img/botoAbaix.png"></a><br>
	        
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="descripcio">Descripció</form:label></td>
	        <td colspan=2><form:textarea path="descripcio" cols="50" rows="5" /><br>
	        <form:errors path="descripcio"  cssClass="errors"/>
	        </td>
	    </tr>    
	    <tr>
	        <td><form:label path="visible"><spring:message code="msgMenu.Visible"/></form:label></td>
	        <td colspan=2>
	        <spring:message code="msgGeneric.Si"/><form:radiobutton path="visible" value="true" onclick="javascript:AfegirLlistaOrdenacio(this.checked, document.formMenu.ordrePresentacio, document.formMenu.idMenu.value, document.formMenu.titol.value)"/>
	        <spring:message code="msgGeneric.No"/><form:radiobutton path="visible" value="false"  onclick="javascript:TreureLlistaOrdenacio(this.checked, document.formMenu.ordrePresentacio, document.formMenu.idMenu.value)"/>
	        
	        </td>
	    </tr>
	    
	    <tr>
	        <td><form:label path="preu"><spring:message code="msgMenu.Preu"/></form:label></td>
	        <td colspan=2><form:input path="preu" /><br><form:errors path="preu"  cssClass="errors"/></td>
	    </tr>
	    
	    <tr>
	        <td><spring:message code="msgMenu.Familia"/></td>
	        <td colspan=2>
	        <select name="families" >
	        <c:forEach items="${llistaFamilies}" var="familia">
	        <c:choose>
	    	<c:when test="${familia.idFamilia==objMenu.familiaMenu.idFamilia}">
	        <option value="${familia.idFamilia}" selected>${familia.descripcio}</option>
	    	</c:when>
	    	<c:otherwise>
	        <option value="${familia.idFamilia}">${familia.descripcio}</option>
	    	</c:otherwise>
	    	</c:choose>
	        </c:forEach>
	        </select>
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="imatge"><spring:message code="msgMenu.Imatge"/></form:label></td>
	        <td colspan=2>
	        	<c:if test="${objMenu.idMenu != 0}">
	        	<!-- img src="/RestKiosk/imatgeMenu.html?menuId=${objMenu.idMenu}" width="150" height="150"-->
	        	<img src="/RestKiosk/imatges/${objMenu.imatge}" width="150" height="150"  onerror="this.src='/RestKiosk/img/imatgexDefecte.png'">
	        	<br>
	        	
	        	</c:if>
	        	<form:hidden path="imatge" />
	        <input type="file" name="fitxer">
	        </td>
	    </tr>
	    <tr>
	        <td style="vertical-align:top">Relació de productes:</td>
	        <td>
	        
	        <table><tr>
		        <td rowspan=4>
		        <b>Productes disponibles</b><br>
		        <select name="productesDisponibles" size="24" multiple="true">
		        <c:forEach items="${llistaProductes}" var="producte">
		        <option value="${producte.idProducte}">${producte.titol}</option>
		        </c:forEach>
		        </select>
		        </td>
		        <td>
		        <a href="javascript:MoureItemCombo(document.formMenu.productesDisponibles, document.formMenu.llistaproductesA)"><img src="/RestKiosk/img/botoDreta.png"></a><br>
		        <a href="javascript:MoureItemCombo(document.formMenu.llistaproductesA, document.formMenu.productesDisponibles)"><img src="/RestKiosk/img/botoEsquerra.png"></a><br>
		        </td>
		        <td>
		        <b>Primers</b><br>
		        <select name="llistaproductesA" size="5" multiple="true">
		        <c:forEach items="${objMenu.productesA}" var="prodA">
		        <option value="${prodA.idProducte}">${prodA.titol}</option>
		        </c:forEach>
		        </select><br>
		        </td>
		        </tr>
		        <tr>
		        <td>
		        <a href="javascript:MoureItemCombo(document.formMenu.productesDisponibles, document.formMenu.llistaproductesB)"><img src="/RestKiosk/img/botoDreta.png"></a><br>
		        <a href="javascript:MoureItemCombo(document.formMenu.llistaproductesB, document.formMenu.productesDisponibles)"><img src="/RestKiosk/img/botoEsquerra.png"></a><br>
		        </td>
		        <td>
		        <b>Segons</b><br>
		        <select name="llistaproductesB" size="5" multiple="true">
		        <c:forEach items="${objMenu.productesB}" var="prodB">
		        <option value="${prodB.idProducte}">${prodB.titol}</option>
		        </c:forEach>
		        </select><br>
		        </td>
		        </tr>
		        <tr>
		        <td>
		        <a href="javascript:MoureItemCombo(document.formMenu.productesDisponibles, document.formMenu.llistaproductesC)"><img src="/RestKiosk/img/botoDreta.png"></a><br>
		        <a href="javascript:MoureItemCombo(document.formMenu.llistaproductesC, document.formMenu.productesDisponibles)"><img src="/RestKiosk/img/botoEsquerra.png"></a><br>
		        </td>
		        <td>
		        <b>Tercer</b><br>
		        <select name="llistaproductesC" size="5" multiple="true">
		        <c:forEach items="${objMenu.productesC}" var="prodC">
		        <option value="${prodC.idProducte}">${prodC.titol}</option>
		        </c:forEach>
		        </select>
		        </td>
		        </tr>
		        <tr>
		        <td>
		        <a href="javascript:MoureItemCombo(document.formMenu.productesDisponibles, document.formMenu.llistaproductesD)"><img src="/RestKiosk/img/botoDreta.png"></a><br>
		        <a href="javascript:MoureItemCombo(document.formMenu.llistaproductesD, document.formMenu.productesDisponibles)"><img src="/RestKiosk/img/botoEsquerra.png"></a><br>
		        </td>
		        <td>
		        <b>Quart</b><br>
		        <select name="llistaproductesD" size="5" multiple="true">
		        <c:forEach items="${objMenu.productesD}" var="prodD">
		        <option value="${prodD.idProducte}">${prodD.titol}</option>
		        </c:forEach>
		        </select>
		        </td>
		        </tr>
		        </table>
	        </td>
	    </tr>
	        <tr>
	        <td colspan="2">
	        	
	        	<form:hidden path="idMenu" />
	        	<input type="button" value="<spring:message code="msgGeneric.Desar"/>" onclick="javascript:DesarMenu();">
	        	<c:if test="${objMenu.idMenu != 0}">
	        	<input type="button" value="<spring:message code="msgGeneric.Esborrar"/>" onclick="javascript:EsborrarMenu();">
	        	</c:if>
	            <input type="button" value="<spring:message code="msgGeneric.Tornar"/>" onclick="document.location.href='mostrarMenus.html'">
	        </td>
	    </tr>
	    </table>
	</form:form>
	</div>
	</div>
</div>
</body>
</html>