<%@taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Expires" content="0" />
<title><spring:message code="msgGeneric.RestKiosk"/></title>
<script type="text/javascript" src="/RestKiosk/javascript/funcions.js"></script>
<link rel="STYLESHEET" type="text/css" href="/RestKiosk/css/estils.css"> 
<script>
function DesarProducte(){

	document.formProducte.ordrePresentacio.multiple = true;
	SelectAllItemsCombo(document.formProducte.ordrePresentacio);
	document.formProducte.submit()
}

function EsborrarProducte(){
	ConfirmarEsborrar();
}

function ConfirmarEsborrar(){
	if (confirm('<spring:message code="msgProducte.ConfirmacioEsborrar"/>')){
		document.formProducte.action="esborrarProducte.html";
		document.formProducte.submit();
	}
}
</script>
</head>
<body>
<%@include file="topAdmin.jsp"%>
<%@include file="leftAdmin.jsp"%>
<div style="display:table-cell;  width:800px;  align:left; vertical-align:top; top: 0px; position:relative;padding:10px;">

	<div>
	<div class="formulariTitol">
	<span><spring:message code="msgProducte.MantenimentProducte"/></span>
	</div>
	
	<div class="formulariCos">
	<form:form method="post" action="desarProducte.html"  commandName="objProducte" name="formProducte" enctype="multipart/form-data" >
		<c:if test="${missatgeError}">
		<center><div class="errors"><spring:message code="msgGeneric.missatgeError"/></div></center>
		</c:if>
		<c:if test="${missatgeOk}">
		<center><div class="oks"><spring:message code="msgGeneric.missatgeOk"/></div></center>
		</c:if>
	    <table>
	    <tr>
	        <td><form:label path="descripcio"><spring:message code="msgProducte.Titol"/></form:label></td>
	        <td colspan=2><form:input path="titol" /><br><form:errors path="titol"  cssClass="errors"/></td>
	        <td rowspan="6" style="vertical-align:middle">
	        <spring:message code="msgProducte.OrdrePresentacio"/>:<br>
	        <select name="ordrePresentacio" size="25" >
	        <c:forEach items="${ordrePresentacio}" var="productes">
	        <option value="${productes.idProducte}">${productes.titol}</option>
	        </c:forEach>
	        </select>
	        </td>
	        <td rowspan="6" style="vertical-align:middle">
	        <a href="javascript:SelectCanviaOrdre(document.formProducte.ordrePresentacio, 'amunt')"><img src="/RestKiosk/img/botoAmunt.png"></a><br>
	        <a href="javascript:SelectCanviaOrdre(document.formProducte.ordrePresentacio, 'avall')"><img src="/RestKiosk/img/botoAbaix.png"></a><br>
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="descripcio"><spring:message code="msgProducte.Descripcio"/>ó</form:label></td>
	        <td colspan=2><form:textarea path="descripcio" cols="50" rows="5" /><br>
	        <form:errors path="descripcio"  cssClass="errors"/>
	        </td>
	    </tr>    
	    <tr>
	        <td><form:label path="descripcio"><spring:message code="msgProducte.Visible"/></form:label></td>
	        <td colspan=2>
	        <spring:message code="msgGeneric.Si"/><form:radiobutton path="visible" value="true" onclick="javascript:AfegirLlistaOrdenacio(this.checked, document.formProducte.ordrePresentacio, document.formProducte.idProducte.value, document.formProducte.titol.value)"/>
	        <spring:message code="msgGeneric.No"/><form:radiobutton path="visible" value="false"  onclick="javascript:TreureLlistaOrdenacio(this.checked, document.formProducte.ordrePresentacio, document.formProducte.idProducte.value)"/>
	        </td>
	    </tr>
	    
	    <tr>
	        <td><form:label path="preu"><spring:message code="msgProducte.Preu"/></form:label></td>
	        <td colspan=2><form:input path="preu" /><br><form:errors path="preu"  cssClass="errors"/></td>
	    </tr>
	    
	    <tr>
	        <td><spring:message code="msgProducte.Familia"/></td>
	        <td colspan=2>
	        <select name="families" >
	        <c:forEach items="${llistaFamilies}" var="familia">
	        <c:choose>
	    	<c:when test="${familia.idFamilia==objProducte.familiaProducte.idFamilia}">
	        <option value="${familia.idFamilia}" selected>${familia.descripcio}</option>
	    	</c:when>
	    	<c:otherwise>
	        <option value="${familia.idFamilia}">${familia.descripcio}</option>
	    	</c:otherwise>
	    	</c:choose>
	        </c:forEach>
	        </select>
	        </td>
	    </tr>
	    <tr>
	        <td><form:label path="imatge"><spring:message code="msgProducte.Imatge"/></form:label></td>
	        <td colspan=2>
	        	<c:if test="${objProducte.idProducte != 0}">
	        <img src="/RestKiosk/imatges/${objProducte.imatge}" width="150" height="150"  onerror="this.src='/RestKiosk/img/imatgexDefecte.png'"><br>
	        	</c:if>
	        	<form:hidden path="imatge" />
	        <input type="file" name="fitxer">
	        </td>
	    </tr>
	        <tr>
	        <td colspan="2">
	        	
	        	<form:hidden path="idProducte" />
	        	<input type="button" value="<spring:message code="msgGeneric.Desar"/>" onclick="javascript:DesarProducte();">
	        	<c:if test="${objProducte.idProducte != 0}">
	        	<input type="button" value="<spring:message code="msgGeneric.Esborrar"/>" onclick="javascript:EsborrarProducte();">
	        	</c:if>
	            <input type="button" value="<spring:message code="msgGeneric.Tornar"/>" onclick="document.location.href='mostrarProductes.html'">
	        </td>
	    </tr>
	    </table>
	</form:form>
	</div>
	</div>
</div>
</body>
</html>