package restkiosk.dao;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import restkiosk.model.Comanda;


@Repository
public class ComandaDao {

	@Autowired
    private SessionFactory sessionFactory;
	
    @Autowired
    public void setSessionFactory(SessionFactory sessionFactory) {
        this.sessionFactory = sessionFactory;
    }
    
    @Transactional
    public void guardar(Comanda comanda) {
        Session session = sessionFactory.getCurrentSession();
        session.saveOrUpdate(comanda);
    }
    
    
}
