package restkiosk.dao;


import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;

import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import restkiosk.model.Familia;
import restkiosk.model.User;
import restkiosk.utils.Excepcions;
import restkiosk.utils.HibernateUtils;
 
 
/**
 * A custom DAO for accessing data from the database.
 *
 */
@Repository
public class UserDao {
 
	//@Autowired
    private SessionFactory sessionFactory;

	
    //@Autowired
    public void setSessionFactory(SessionFactory sessionFactory) {
        this.sessionFactory = sessionFactory;
    }
    

    
    public User cercaUsuari(String usuari) {
    	sessionFactory = HibernateUtils.getSessionFactory(); //new Configuration().configure("hibernate.cfg.xml").buildSessionFactory();
        Session session = sessionFactory.getCurrentSession();
    	
        
        try {
        	String sql = "select {us.*} from usuaris us WHERE us.login= :puser";
        	session.beginTransaction();
        	Query query = session.createSQLQuery(sql).addEntity("us", User.class);        	
        	query.setString("puser", usuari);
        	
        	List<User> usuaris = (List<User>)query.list();
        	session.getTransaction().commit();
        	return usuaris.get(0);
        } catch (HibernateException e) {
        	throw new Excepcions("Error al llegir les credencials d'usuari de backoffice.");
        } finally {
        	
        }
        
    }
    
  
 /**
  * Simulates retrieval of data from a database.
  */
 public User searchDatabase(String username) {
  // Retrieve all users from the database
  List<User> users = new ArrayList<User>();
  
  User tuser = new User();
  tuser.setUsername("john");
  // Actual password: admin
  tuser.setPassword("21232f297a57a5a743894a0e4a801fc3");
  users.add(tuser);
  
  // Search user based on the parameters
  for(User user:users) {
   if ( user.getUsername().equals(username)  == true ) {
    return user;
   }
  }
   
  throw new RuntimeException("User does not exist!");
 }
 
 
  
}